# -*- rpm-spec -*-
# $Id: kernel-modules-slicoss.spec,v 1.3 2003/11/28 19:59:43 vsu Exp $
#
%define module_name	slicoss

%define kversion	2.4.22
%define krelease	alt17
%define flavour		std-up

%define kcc "%kgcc"

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Name: kernel-modules-%module_name-%flavour
Version: 1.2.0
Release: alt5.17

Summary: Alacritech network card drivers
License: GPL
Group: System/Kernel and hardware
Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux

BuildPreReq: kernel-build-tools

BuildRequires: gcc2.96 rpm >= 4.0.2-75
BuildRequires: kernel-source-%module_name
BuildRequires: kernel-headers-%flavour = %kversion-%krelease

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq: coreutils
Prereq:	modutils
Prereq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86
Provides: kernel-modules-%module_name

%description
This package contains Alacritech nic drivers for the linux kernel

%prep

rm -rf %module_name-%version
%__tar -zxvf %kernel_src/%module_name-%version.tgz

%setup -D -T -n %module_name-%version

%build

%make_install CC=%kcc SRCTREE=%_includedir/linux-%kversion-%flavour

%install
%__mkdir_p %buildroot/%module_dir
%__install -p -m644 %module_name.o %buildroot/%module_dir

%post
/sbin/depmod -a -e -F /boot/System.map-%kversion-%flavour-%krelease \
    %kversion-%flavour-%krelease

%postun
[ ! -f /boot/System.map-%kversion-%flavour-%krelease ] || \
/sbin/depmod -a -e -F /boot/System.map-%kversion-%flavour-%krelease \
    %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 1.2.0-alt5.17
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 1.2.0-alt4.17
- Fixed %%module_name, %%module_dir definitions.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Tue Sep 09 2003 Anton Farygin <rider@altlinux.ru> 1.2.0-alt3.17
- imported to ALT Linux CVS

* Wed Sep 03 2003 Ed V. Bartosh <ed@altlinux.org> 1.2.0-alt3
- rebuilt with 2.4.21-alt23

* Mon Sep 01 2003 Zhenja Kaluta <tren@altlinux.ru> 1.2.0-alt2
- rebuilt with 2.4.21-alt22

* Thu Aug 28 2003 Ed V. Bartosh <ed@sam-solutions.net> 1.2.0-alt1
- Initial release

